Skip to main content

Create Map Selection List Entry

POST 

/v1/sandbox/:sandbox_id/map-selection-list/:map_selection_list_id/map-selection-list-entry

Add a new Map Selection List Entry for a Map Selection List

Requires permission sandbox:config:edit.

Request

Path Parameters

    map_selection_list_id uuidrequired
    sandbox_id uuidrequired

    Sandbox ID

Body

required

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    map_weight Map Weight (integer)required

    The weight given to this entry when choosing from the MapSelectionList

    map_id uuidrequired

    Which Map this entry refers to

Responses

Successful Response

Schema

    custom_data

    object

    Custom data associated with the resource

    property name* string
    name Name (string)

    Possible values: non-empty and <= 125 characters

    Name of the resource

    description Description (string)

    Possible values: <= 250 characters

    Description of the resource

    map_weight Map Weight (integer)required

    The weight given to this entry when choosing from the MapSelectionList

    map_id uuidrequired

    Which Map this entry refers to

    sandbox_id uuid

    ID of the Sandbox

    last_modified_account_id uuid

    Account ID of the user who last modified the resource

    last_modified_timestamp date-time

    Timestamp of when the resource was last modified

    created_timestamp date-time

    Timestamp of when this resource was created

    map_selection_list_id uuidrequired

    Which MapSelectionList this entry belongs to

    map_selection_list_entry_id uuidrequired

    ID to uniquely identify this MapSelectionListEntry

Loading...